Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container.enhydra
Class EnhydraRun

    java.lang.Object
      java.lang.Thread
          org.apache.cactus.integration.ant.container.AbstractServerRun
              org.apache.cactus.integration.ant.container.enhydra.EnhydraRun

All Implemented Interfaces:
  java.lang.Runnable

public class EnhydraRun
extends AbstractServerRun

Starts/stop Enhydra by setting up a listener socket.

Version:
  $Id: EnhydraRun.java 238918 2004-04-18 12:21:50Z vmassol $
See Also:
  `AbstractServerRun`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`EnhydraRun(java.lang.String[] theArgs)`

Method Summary
`static void` | `main(java.lang.String[] theArgs)` Entry point to start/stop the Enhydra server.

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractServerRun
`run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnhydraRun

    public EnhydraRun(java.lang.String[] theArgs)

Parameters:
  `theArgs` - the command line arguments

Method Detail

### main

    public static void main(java.lang.String[] theArgs)

  Entry point to start/stop the Enhydra server.

  Parameters:
    `theArgs` - the command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.